﻿using System.Drawing;
using HeuristicLab.Core;
using HeuristicLab.Optimization;
using HEAL.Attic;

namespace HeuristicLab.Analysis.FitnessLandscape.BoxCharts {
  [StorableType("57F0E930-CB8F-4D30-9C44-ADA5B720727E")]
  public interface IBoxChartElementGenerator : INamedItem {
    int X { get; set; }
    int Y { get; set; }
    int ColSpan { get; set; }
    int RowSpan { get; set; }
    void Draw(IRun run, Graphics g);
  }
}
